### Method

# Gegl Nodeget

#### Declaration [src]

    void
    gegl_node_get (
      GeglNode* node,
      const gchar* first_property_name,
      ...
    )

#### Description [src]

## Gets properties of a `GeglNode`.

double level; char *path;

gegl_node_get (png_save, “path”, &path, NULL); gegl_node_get (threshold, “level”, &level, NULL);.

This method is not directly available to language bindings.

#### Parameters

`first_property_name`

  Type: `const gchar*`

  Name of the first property to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Return location for the first property, followed optionally by more name/value pairs, followed by NULL.